package ru.yandex.autotests.directapi.model.statistics;

import ru.yandex.autotests.direct.utils.model.ModelBeanMap;

/**
 * Created with IntelliJ IDEA.
 * User: mariabye
 * Date: 25.12.13
 * Time: 10:54
 * To change this template use File | Settings | File Templates.
 */
public class KeywordsSuggestionInfoMap<T> extends ModelBeanMap<KeywordsSuggestionInfoMap> {


    private static final String KEYWORDS_SUGGESTION_INFO = "KeywordsSuggestionInfo";

    public static final String KEYWORDS = "keywords";

    public KeywordsSuggestionInfoMap(String packageName) {
        super(packageName, KEYWORDS_SUGGESTION_INFO);
    }

    public KeywordsSuggestionInfoMap(T keywordsSuggestionInfo) {
        super();
        setBean(keywordsSuggestionInfo);
    }


    public KeywordsSuggestionInfoMap withKeywords(String... keywords) {
        put((KEYWORDS), keywords);
        return this;
    }

}
